package cn.hnthyy.thmz.service.impl.his.zd;

import cn.hnthyy.thmz.entity.his.zd.ZdEmpTitle;
import cn.hnthyy.thmz.mapper.his.zd.ZdEmpTitleMapper;
import cn.hnthyy.thmz.service.his.zd.ZdEmpTitleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ZdEmpTitleServiceImpl implements ZdEmpTitleService {
    @SuppressWarnings("all")
    @Autowired
    private ZdEmpTitleMapper zdEmpTitleMapper;
    @Override
    public ZdEmpTitle queryByCode(String code) {
        return zdEmpTitleMapper.selectByCode(code);
    }

    @Override
    public List<ZdEmpTitle> queryZdEmpTitle() {
        return zdEmpTitleMapper.selectAllZdEmpTitle();
    }
}
